@echo off
rem *
rem * Install DestinationDrive: CDROMDrive:
rem *

cls
echo                        Citizens : Backwater Affairs
echo.
echo                    (C) Copyright 1996 - Microprose Ltd.
echo.
echo.
echo                              INSTALL  PROGRAM
echo.
echo          Citizens the game works under Windows 3.1 and Windows 95.
echo              This install program DOES NOT, please run in DOS.
echo.
echo.
echo This installer will copy the entire citizens game onto your local hard disk the
echo approximate required space is 55 Megabytes. This is required at the present
echo time if you want music and some sound effects.
echo.
echo The game can be run from the cdrom by executing the batch file 'CITIZENS'. This
echo version however will not have any music or sound effects.
echo.
echo To continue with the installation press a key else press 'CONTROL'+'C' to abort.
echo.
PAUSE > NUL

rem Make sure that the correct number of parameters actually exist.
if Test%1 == Test GOTO NoParameters
if Test%2 == Test GOTO NoParameters

echo Installing from CDROM %2 to %1\MPS\CITIZENS. 
echo Please Wait, Installation May Take Between 5 and 10 Minutes.
echo Creating Directory Structure
rem Okay lets now create the directory structure on the destination drive
%1
cd\
mkdir MPS
cd MPS
mkdir CITIZENS
cd CITIZENS
mkdir SRC
mkdir SRC\SOUND
mkdir GRAPHICS
mkdir DATA
mkdir DATA\PEOPLE
mkdir DATA\TOWN
mkdir DATA\PLOT
mkdir DATA\GOSSIP

echo Copying system files...
rem This may be over complicating the matter but it will do for the time being.
copy %2\CITIZENS\readme.txt >NUL
copy %2\CITIZENS\game.bat citizens.bat >NUL
copy %2\CITIZENS\SRC\*.* SRC >NUL
copy %2\CITIZENS\SRC\SOUND\*.* SRC\SOUND >NUL
echo Copying graphics...
copy %2\CITIZENS\GRAPHICS\*.* GRAPHICS >NUL
echo Copying data tables...
copy %2\CITIZENS\DATA\*.*  DATA\*.* >NUL
copy %2\CITIZENS\DATA\PEOPLE\*.* DATA\PEOPLE >NUL
copy %2\CITIZENS\DATA\TOWN\*.* DATA\TOWN >NUL
copy %2\CITIZENS\DATA\PLOT\*.* DATA\PLOT >NUL
copy %2\CITIZENS\DATA\GOSSIP\*.* DATA\GOSSIP >NUL

echo.
echo Copying Completed.
echo.
echo. Initialising sound, stand by.

cd SRC
setup
cls
echo Citizens installation complete. 
echo Type 'CITIZENS' to run the game. 
cd ..

GOTO Done


:NoParameters
echo Not enough parameters specified.
GOTO Usage

:Usage
echo Usage:
echo.
echo       Install DestinationDrive: CDROMDrive:
echo.

:Done



